# Generated by Django 4.1.2 on 2022-10-26 22:06

import uuid

from django.db import migrations, models
import django.db.models.deletion

from django_finances.fields import UUID4Field
from django_finances.settings import Settings


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_finances', '0001_initial'),
        migrations.swappable_dependency(Settings.FINANCIAL_ENTITY_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', UUID4Field(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='ID') if Settings.USE_UUID else models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('amount', models.BigIntegerField(verbose_name='amount') if Settings.USE_BIG_INTEGER else models.IntegerField(verbose_name='amount')),
                ('description', models.TextField(verbose_name='description')),
                ('entity', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='transactions', to=Settings.FINANCIAL_ENTITY_MODEL, verbose_name='entity')),
            ] + ([
                ('settled_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='settled', to='transactions.transaction', verbose_name='settled by')),
            ] if Settings.TRANSACTION_SETTLEMENT_ENABLED else []),
            options={
                'verbose_name': 'transaction',
                'verbose_name_plural': 'transactions',
            },
        ),
    ]
