# Generated by Django 4.1.2 on 2022-10-28 18:34

from django.db import migrations, models
import django.utils.timezone
import uuid

from django_finances.fields import UUID4Field
from django_finances.settings import Settings


class Migration(migrations.Migration):

    dependencies = [
        ('django_finances', '0002_add_base_model'),
        ('transactions', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='transaction',
            name='timestamp',
            field=models.DateField(default=django.utils.timezone.now, verbose_name='timestamp'),
        ),
        migrations.CreateModel(
            name='RecurringTransaction',
            fields=[
                ('id', UUID4Field(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='ID') if Settings.USE_UUID else models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('timestamp', models.DateField(default=django.utils.timezone.now, verbose_name='timestamp')),
                ('amount', models.BigIntegerField(verbose_name='amount') if Settings.USE_BIG_INTEGER else models.IntegerField(verbose_name='amount')),
                ('description', models.TextField(verbose_name='description')),
                ('recurrence', models.TextField(verbose_name='recurrence')),
                ('last_occurred_at', models.DateTimeField(blank=True)),
                ('entity', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='recurring_transactions', to=Settings.FINANCIAL_ENTITY_MODEL, verbose_name='entity')),
            ],
            options={
                'verbose_name': 'recurring transaction',
                'verbose_name_plural': 'recurring transactions',
            },
        ),
        migrations.AddField(
            model_name='transaction',
            name='recurring_transaction',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='transactions', to='transactions.recurringtransaction', verbose_name='recurring transaction'),
        ),
    ]
